Bug 14649 - LC_ALL=cz_CZ top -> crash
LC_ALL=cz_CZ top -> crash
Product: Red Hat Linux
Classification: Retired
Component: procps (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 2000-07-25 21:40 EDT by Milan Kerslager
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-26 19:11:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
strace of running top with LANG=sv_SE (38.83 KB, text/plain)
2000-07-26 19:07 EDT, Christian Rose
no flags Details

  None (edit)
Description Milan Kerslager 2000-07-25 21:40:44 EDT
It seems that this is a locale problem.

I've got this messages:

bad data in /proc/uptime
bad data in /proc/loadavg

Recompiling didn't help, 'LC_ALL=C top' works OK.
Comment 1 Milan Kerslager 2000-07-25 21:42:02 EDT
Damn! The subject should be (crash example):

LC_ALL=cs_CZ top
Comment 2 Christian Rose 2000-07-26 19:07:04 EDT
Created attachment 1592 [details]
strace of running top with LANG=sv_SE
Comment 3 Christian Rose 2000-07-26 19:11:32 EDT
I could reproduce this bug with LANG=sv_SE too.
Attached a strace.
Comment 4 Jakub Jelinek 2000-07-26 19:24:05 EDT
Fixed for beta5 (procps-2.0.7-2)

Note You need to log in before you can comment on or make changes to this bug.